curl --request GET \
--url https://int-api.mx.com/users/{user_identifier}/members/{member_identifier}/accounts/{account_identifier}/transactions/{transaction_identifier} \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/users/{user_identifier}/members/{member_identifier}/accounts/{account_identifier}/transactions/{transaction_identifier}"
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Accept-Version': '<accept-version>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://int-api.mx.com/users/{user_identifier}/members/{member_identifier}/accounts/{account_identifier}/transactions/{transaction_identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactions": [
{
"account_guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
"account_id": "account123",
"amount": 61.11,
"category": "Paycheck",
"category_guid": "CAT-b6d61a19-30a7-e852-2703-bdfb4072289e",
"check_number_string": null,
"created_at": "2025-02-13T18:08:00+00:00",
"currency_code": "USD",
"date": "2024-12-20",
"description": "MX Technologies Payroll",
"extended_transaction_type": null,
"guid": "TRN-429ad9fe-a1d2-4559-8590-885b2603f0e1",
"id": "1734681600000-178fa8095c154a55b9172f977b4c5f9a-0",
"is_bill_pay": false,
"is_direct_deposit": false,
"is_expense": false,
"is_fee": false,
"is_income": true,
"is_international": false,
"is_manual": false,
"is_overdraft_fee": false,
"is_payroll_advance": false,
"is_recurring": null,
"is_subscription": false,
"latitude": null,
"localized_description": "This is a localized_description",
"localized_memo": "This is a localized_memo",
"longitude": null,
"member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
"member_is_managed_by_user": true,
"memo": "Transactions",
"merchant_category_code": null,
"merchant_guid": "MCH-8cc3b01a-1c52-47d4-970d-30f8ee5566f1",
"merchant_location_guid": null,
"metadata": "some metadata",
"original_description": "MX TECHNOLOGIES PAYMENT",
"posted_at": "2024-12-20T12:00:00Z",
"status": "POSTED",
"top_level_category": "Income",
"transacted_at": "2024-12-20T12:00:00Z",
"type": "CREDIT",
"updated_at": "2025-02-13T18:09:00+00:00",
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54",
"user_id": "u-1234",
"classification": {
"parent_class": "Deposit",
"guid": "MNC-3ad50f86-60d0-4545-a1f9-e66c2ac40f69"
},
"geolocation": {
"country": "US",
"state": "UT",
"city": "North Kishaberg",
"postal code": "84043"
},
"merchant": {
"name": "MX",
"guid": "MCH-0c25f895-393c-42a4-9c18-95a0b26d4d84",
"logo_url": "https://content.mx.com/logos/merchants/MCH-0c25f895-393c-42a4-9c18-95a0b26d4d84.png",
"website_url": "https://www.example.com"
},
"repeating_transaction": {
"recurrence_type": "EVERY_OTHER_WEEK",
"guid": "RPT-065b8b1d-826a-45ce-8487-60ca1510e72a"
}
}
],
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 1,
"total_pages": 1
}
}Read transaction by account
transaction. To read a manual transaction, use the manual transaction guid in the path as the transactionGuid. Enhanced transaction data may be requested using the
includes parameter. To use this optional parameter, the value should include the optional metadata requested such as repeating_transactions, merchants, classifications, geolocations. For more information, see the Optional Enhancement Query Parameter guide.Authorizations
The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.
Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.
curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'Headers
MX Platform API version.
"v20250224"
Path Parameters
Use either the user id you defined or the MX-defined user guid. See MX-Defined GUIDs vs IDs Defined by You.
Use either the member id you defined or the MX-defined member guid. See MX-Defined GUIDs vs IDs Defined by You.
Use either the account id you defined or the MX-defined account guid. See MX-Defined GUIDs vs IDs Defined by You.
Use either the transaction id you defined or the MX-defined transaction guid. See MX-Defined GUIDs vs IDs Defined by You.
Query Parameters
Options for enhanced transactions. This query parameter is optional. Possible additional metadata: repeating_transactions, merchants, classifications, geolocations. The query value is format sensitive. To retrieve all available enhancements, append:
?includes=repeating_transactions,merchants,classifications,geolocations.
The query options may be combined to specific enhancements. For example, to request Repeating Transactions and Geolocation data, use:
?includes=repeating_transactions,geolocations.
- Repeating Transactions: Identifies transactions with predictable recurrence patterns (e.g., Bill, Income, Subscription).
- Merchants: Enriches transactions with merchant name.
- Classifications: Provides more insight into the type of money movement that is occurring on the transaction, whether it be retail or investments.
- Geolocation: Provides geographic metadata.
Response
OK
Hide child attributes
Hide child attributes
The unique identifier for an account. Defined by MX.
"ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1"
The unique client-defined identifier for the account.
"account123"
The monetary amount of the transaction.
61.11
The category of the transaction.
"Paycheck"
The unique identifier for the category. Defined by MX.
"CAT-b6d61a19-30a7-e852-2703-bdfb4072289e"
The check number for the transaction.
null
The date and time the transaction was created, represented in ISO 8601 format with a timestamp.
"2025-02-13T18:08:00+00:00"
The three-character ISO 4217 currency code, for example, USD.
"USD"
The date on which the transaction took place. This is the field used when searching for transactions by date and is generally the same as transacted_at, but uses posted_at as a fallback.
"2024-12-20"
A human-readable description of the transaction.
"MX Technologies Payroll"
The transaction type assigned by the partner.
null
The unique identifier for the transaction. Defined by MX.
"TRN-429ad9fe-a1d2-4559-8590-885b2603f0e1"
The unique partner-defined identifier for the transaction.
"1734681600000-178fa8095c154a55b9172f977b4c5f9a-0"
Indicates whether the transaction is a bill payment.
false
Indicates whether the transaction is a direct deposit.
false
Indicates whether the transaction is an expense.
false
Indicates whether the transaction is a fee.
false
Indicates whether the transaction is income.
true
Indicates whether the transaction is international. If the data provider determines it isn't international then it will be false. It will be null if the data provider does not have this information.
false
Indicates whether the transaction was manually created or belongs to a manual account.
false
Indicates whether the transaction is an overdraft fee.
false
Indicates whether the transaction is a payroll advance.
false
Deprecated. If required, reach out to MX to discuss an alternative.
null
Indicates whether the transaction is a subscription payment.
false
The latitude of the location where the transaction occurred. The number is a signed decimal (for example, Rio de Janeiro's latitude is -22.9027800 and Tokyo's latitude is 35.689488).
null
A human-readable description of the transaction, provided in a local language.
"This is a localized_description"
Additional descriptive information about the transaction, provided in a local language.
"This is a localized_memo"
The longitude of the location where the transaction occurred. The number is a signed decimal (for example, Rio de Janeiro's longitude is -43.2075000 and Tokyo's longitude is 139.691706).
null
The unique identifier for the member. Defined by MX.
"MBR-7c6f361b-e582-15b6-60c0-358f12466b4b"
This indicates whether the member is managed by the user or the MX partner. Members created with the managed member feature will have this field set to false.
true
Additional information about the transaction.
"Transactions"
The ISO 18245 category code for the transaction.
null
The unique identifier for the merchant. Defined by MX.
"MCH-8cc3b01a-1c52-47d4-970d-30f8ee5566f1"
The unique identifier for the merchant location. Defined by MX.
null
Additional information you stored about the transaction.
"some metadata"
The original description of the transaction as provided by our data feed.
"MX TECHNOLOGIES PAYMENT"
The date and time the transaction was posted to the account.
"2024-12-20T12:00:00Z"
The status of the transaction.
All transaction data on our systems represent what we get through our data feed which depends what institutions make available for aggregation. Many institutions do not provide data for pending transactions; transactions from those accounts always have a status of POSTED.
When we do receive data for pending transactions, a single transaction may be updated from PENDING to POSTED and keep the same guid. This is done through various matching methods performed automatically by MX.
If a single transaction can't be updated, the PENDING transaction will often be deleted and replaced with a new POSTED transaction (with a new guid) when it is sent to us; this is the most common scenario when pending data is available.
In unusual circumstances, there may be separate PENDING and POSTED transactions on MX systems for up to 14 days. All PENDING transactions are deleted after 14 days as a failsafe.
POSTED, PENDING "POSTED"
The parent category assigned to this transaction's category.
"Income"
The date and time the transaction took place.
"2024-12-20T12:00:00Z"
The type of transaction.
CREDIT, DEBIT "CREDIT"
The date and time the resource was last updated in ISO 8601 format with a timestamp.
For categories, this field will always be null when is_default is true.
"2025-02-13T18:09:00+00:00"
The unique identifier for the user. Defined by MX.
"USR-fa7537f3-48aa-a683-a02a-b18940482f54"
The unique partner-defined identifier for the user.
"u-1234"
Hide child attributes
Hide child attributes
Payroll, Deposit, Savings, Transfer, Refunds, Spend, Investment, Buy, Sell, Income, Fees, Expenses, Corporate Actions, Other "Deposit"
"MNC-3ad50f86-60d0-4545-a1f9-e66c2ac40f69"
Hide child attributes
Hide child attributes
The name of the merchant.
"MX"
"MCH-0c25f895-393c-42a4-9c18-95a0b26d4d84"
The URL for a 100px X 100px logo for the merchant.
"https://content.mx.com/logos/merchants/MCH-0c25f895-393c-42a4-9c18-95a0b26d4d84.png"
URL to the merchant's website.
"https://www.example.com"
Hide child attributes
Hide child attributes
The type of the repeating transaction.
BILL, SUBSCRIPTION, INCOME, UNKNOWN The recurrence type of the repeating transaction.
EVERY_OTHER_WEEK The unique identifier for the repeating transaction. Defined by MX.
"RPT-065b8b1d-826a-45ce-8487-60ca1510e72a"
Hide child attributes
Hide child attributes
The page delivered by the current response.
1
The number of records delivered with each page.
25
The total number of records available.
1
The total number of pages available.
1

